Bug 1310089 - glusterfs-nfs gets started on all the nodes after entire cluster upgrade to 3.1.2
glusterfs-nfs gets started on all the nodes after entire cluster upgrade to 3...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: nfs-ganesha (Show other bugs)
3.1
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jiffin
storage-qa-internal@redhat.com
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-19 07:23 EST by Shashank Raj
Modified: 2017-03-25 10:23 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-25 10:23:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shashank Raj 2016-02-19 07:23:37 EST
Description of problem:
glusterfs-nfs gets started on all the nodes after entire cluster upgrade to 3.1.2

Version-Release number of selected component (if applicable):
glusterfs-3.7.5-19

How reproducible:
once

Steps to Reproduce:
1. Create a 4 node cluster and install 3.1 rhgs.
2. Upgrade all the nodes of the cluster together by following the nfs-ganesha upgrade document.
3. Once the nodes are updated and we start glusterd on all the nodes, glusterfs-nfs gets started on all the nodes.

Actual results:


Expected results:
glusterfs-nfs should not start after upgrade to 3.1.2


Additional info:
Comment 3 Shashank Raj 2016-02-24 05:14:10 EST
I performed an upgrade of nfs-ganesha from 3.1.1 to 3.1.2, and after upgrade i didn't observe this issue.

nfs.disable values were same both before and after the upgrade.

Hence marking this bug as Verified.

Note You need to log in before you can comment on or make changes to this bug.